GET /api/fleet/agent_status/data

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/agent_status/data

Refer to Spaces for more information.

Get the data streams that an agent is actively sending data to.

[Required authorization] Route required privileges: fleet-agents-read.

Query parameters

  • agentsIds array[string] Required

    Not more than 10000 elements.

  • pkgName string
  • pkgVersion string
  • previewData boolean

    Default value is false.

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • dataPreview array Required

      Not more than 10000 elements.

    • items array[object] Required

      Not more than 10000 elements.

      Hide items attribute Show items attribute object
      • * object Additional properties

        Additional properties are NOT allowed.

        Hide * attribute Show * attribute object
        • data boolean Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/agent_status/data
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/agent_status/data?agentsIds=string' \
 --header "Authorization: $API_KEY"
Response examples (200)
Data streams the agent is actively sending data to
{
  "items": [
    {
      "data": {
        "logs-nginx.access-default": [
          {
            "id": "agent-id-1",
            "name": "my-host"
          }
        ]
      }
    }
  ],
  "total": 1,
  "totalMonitoring": 0
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}